Bug 1044287 - [abrt] createrepo-0.10-1.fc19: sqlitecachec.py:61:getOtherdata:TypeError: Can not create keychange index: database disk image is malformed
Summary: [abrt] createrepo-0.10-1.fc19: sqlitecachec.py:61:getOtherdata:TypeError: Can...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: yum-metadata-parser
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:277a46f2909116229c18fffa82a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-18 03:07 UTC by mdmpsyd@gmail.com
Modified: 2015-06-29 13:34 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 13:34:47 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (889 bytes, text/plain)
2013-12-18 03:07 UTC, mdmpsyd@gmail.com
no flags Details
File: environ (78 bytes, text/plain)
2013-12-18 03:07 UTC, mdmpsyd@gmail.com
no flags Details
other.xml.gz from Franco DiRosa's comment (2.93 MB, application/octet-stream)
2014-08-29 19:58 UTC, Franco DiRosa
no flags Details
other.xml.gz.sqlite from Franco DiRosa (10.40 MB, application/octet-stream)
2014-08-29 20:31 UTC, Franco DiRosa
no flags Details

Description mdmpsyd@gmail.com 2013-12-18 03:07:45 UTC
Version-Release number of selected component:
createrepo-0.10-1.fc19

Additional info:
reporter:       libreport-2.1.9
cmdline:        /usr/bin/python -t /usr/share/createrepo/genpkgmetadata.py --quiet --database --update --unique-md-filenames /var/lib/yum/plugins/local
dso_list:       yum-metadata-parser-1.1.4-9.fc20.x86_64
executable:     /usr/share/createrepo/genpkgmetadata.py
kernel:         3.11.10-300.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
sqlitecachec.py:61:getOtherdata:TypeError: Can not create keychange index: database disk image is malformed

Traceback (most recent call last):
  File "/usr/share/createrepo/genpkgmetadata.py", line 301, in <module>
    main(sys.argv[1:])
  File "/usr/share/createrepo/genpkgmetadata.py", line 279, in main
    mdgen.doRepoMetadata()
  File "/usr/lib/python2.7/site-packages/createrepo/__init__.py", line 984, in doRepoMetadata
    rp.getOtherdata(complete_path, csum)
  File "/usr/lib64/python2.7/site-packages/sqlitecachec.py", line 61, in getOtherdata
    self.repoid))
TypeError: Can not create keychange index: database disk image is malformed

Local variables in innermost frame:
checksum: '84727ecec86e1a61762b8579f38be587ae2ec0199c8877423d39b1790813cb0e'
self: <sqlitecachec.RepodataParserSqlite instance at 0x27fa950>
location: '/var/lib/yum/plugins/local/.repodata/other.xml.gz'

Comment 1 mdmpsyd@gmail.com 2013-12-18 03:07:49 UTC
Created attachment 838088 [details]
File: backtrace

Comment 2 mdmpsyd@gmail.com 2013-12-18 03:07:50 UTC
Created attachment 838089 [details]
File: environ

Comment 3 Zdeněk Pavlas 2013-12-18 13:12:10 UTC
> location: '/var/lib/yum/plugins/local/.repodata/other.xml.gz'

Please, can you check this directory immediately after this error?  If there's "other.xml.gz.sqlite" file, please upload it somewhere.  Maybe I can then reproduce this and find out why the invalid database was created.

Comment 4 Franco DiRosa 2014-08-29 19:58:31 UTC
Created attachment 932803 [details]
other.xml.gz from Franco DiRosa's comment

Comment 5 Franco DiRosa 2014-08-29 19:59:17 UTC
Comment on attachment 932803 [details]
other.xml.gz from Franco DiRosa's comment

I have the same problem with yum-metadata-parser-1.1.2-16.el6.x86_64.

I added a print to the sqlitecachec.py prior to calling getotherdata to echo the command arguments it was called with.

Spawning worker 0 with 6280 pkgs
Workers Finished
Gathering worker results

Saving Primary metadata
Saving file lists metadata
Saving other metadata
Generating sqlite DBs
getOtherData(self, /opt/cid/repos/rhel_client2/./.repodata/other.xml.gz, 6c94f72557232ddb72d2008b652b45bf9d5d833bfe30d3421d5ac85321b73397
self.repoid = repoid
Traceback (most recent call last):
  File "/usr/share/createrepo/genpkgmetadata.py", line 291, in <module>
    main(sys.argv[1:])
  File "/usr/share/createrepo/genpkgmetadata.py", line 269, in main
    mdgen.doRepoMetadata()
  File "/usr/lib/python2.6/site-packages/createrepo/__init__.py", line 983, in doRepoMetadata
    rp.getOtherdata(complete_path, csum)
  File "/usr/lib64/python2.6/site-packages/sqlitecachec.py", line 63, in getOtherdata
    self.repoid))
TypeError: Can not create keychange index: database disk image is malformed

Comment 6 Franco DiRosa 2014-08-29 20:31:28 UTC
Created attachment 932805 [details]
other.xml.gz.sqlite from Franco DiRosa

It appears that the other.xml.gz.sqlite DB was created (attached) and am able to open the sqlite db using Sqlite Expert.

Comment 7 Fedora End Of Life 2015-05-29 10:01:31 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Fedora End Of Life 2015-06-29 13:34:47 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.